*{
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    overflow-x: hidden;
    font-family: 'Urbanist', sans-serif;
}
i{
    cursor: pointer;
}
/* HEADER SECTION */
header{
    display: flex;
    justify-content: space-between;
    padding: 13px 5rem  0 3rem;
    color: #ef233c ;
    background-color: #fff ;
}

.navLinks{
    display: flex;
    gap: 30px;
    font-weight: 600;
    padding: 5px 0 0 0;
}

.navLinks a{
    text-decoration: none;
    color: #ef233c ;
    font-weight: 600;
}

#cart{
    color: #ef233c ;
    font-size: 20px;
}

/******************************************************* PRIVACY PAGE */
/* HEADER SECTION */
.privacyContainer header{
    display: flex;
    justify-content: space-between;
    padding: 14px 5rem  14px 1rem;
    background-color: #ef233c ;
    color: #fff ;
}

.privacyContainer .navLinks{
    display: flex;
    gap: 30px;
    font-weight: 600;
    padding: 5px 0 0 0;
}

.privacyContainer .navLinks a{
    text-decoration: none;
    color: #fff ;
    font-weight: 600;
}

.privacyContainer #cart{
    color: #fff ;
    font-size: 20px;
}

/* body */
.privacyContainer main{
    padding: 1rem 3rem 2rem 1rem;
    line-height: 25px;
}

.privacyContainer span{
    font-weight: 600;
}

.privacyContainer ul{
    padding: 6px 0px 0px 26px;
}

.privacyContainer h1{
    margin: 0 0 12px 0;
}

.privacyContainer h3{
    padding: 12px 0 5px 0;
}

/* *********************************************************HOME PAGE */
/* HEADER */
.hero-section{
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 13px 6rem 1rem 3rem;
}

.hero-section img{
    width: 500px;
}

.hero-section p{
    width: 540px;
    font-size: 20px;
}

.hero-section h2{
    font-size: 2.8rem;
}

.hero-section h3{
    font-size: 2rem;
    margin: 0 0 10px 0;
}

.hero-section button{
    background-color: #ef233c;
    color: #fff;
    border: none;
    width: 150px;
    padding: 12px 20px;
    border-radius: 10px 0 10px 0;
    margin: 2rem 0 0 0;
}

.hero-section span{
    color: #ef233c;
}

/* ABOUT US */
.about-section{
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 0 6rem 0rem 2rem;
}

.about-section h3{
    font-size: 3rem;
    margin: 0 0 1rem 0;
    display: block;
}

.about-section p{
    width: 650px;
    text-align: left;
    line-height: 25px;
    font-size: 20px;
    display: block;
    margin: 0 auto;
}

.about-section img{
    width: 450px;
}

.about-text a{
    color: #ef233c;
}

.about-text button{
    background-color: #ef233c;
    color: #fff;
    border: none;
    width: 150px;
    padding: 12px 20px;
    border-radius: 10px 0 10px 0;
    display: block;
    margin: 2rem 0 0 0;
}

/* WHY SECTION */
.why-section{
    padding: 3rem 6rem 4rem 2rem;
}

.why-sect {
    margin: 1rem 13rem 0 11rem;
    display: flex;
    justify-content: space-between;
    gap: 4rem;
    font-size: 20px; 
    align-items: center;
    text-align: left;
}

.why-section h2{
    font-size: 3rem;
    margin: 10px auto 2rem auto;
    text-align: center;
    padding: 0 0 20px 0;
}

.why-section span{
    color: #ef233c;
}

.why-sect p{
    margin: 10px 0 0 0;
}

.why-sect i{
    font-weight: 800;
    font-size: 1.9rem;
    color: #ef233c;
}

.one, .two, .three, .four{
    width: 600px;
    height: 175px;
    padding: 16px 12px;
    font-size: 1rem;
    border: 3px solid #000;
    border-radius: 10px 0 10px 0;
    text-align: center;
    box-shadow: 5px 5px 5px #000;
}

#three{
    margin: 0 0 2px 0;
}

/* PRODUCT PAGE */
.product-section{
    display: flex;
    justify-content: space-between;
    margin: 2rem 3rem 1rem 3rem;
}

.product-section img{
    width: 600px;
}

.product-text{
    margin: 4rem 0 0 0;
}

.product-text h2{
    font-size: 2.5rem;
    margin: 1.7rem 0 0 0;
}

.product-text p{
    font-size: 20px;
    margin: 10px 0 0 0;
}

.product-text button{
    background-color: #ef233c;
    color: #fff;
    border: none;
    width: 150px;
    padding: 12px 20px;
    border-radius: 10px 0 10px 0;
    margin: 2rem 0 0 0;
    font-size: 18px;
}

/* CONTACT */
.contact-section{
    margin: 2rem 3rem 1rem 3rem;
    text-align: center;
}

.contact-sec{
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.contact-section h2{
    font-size: 2.8rem;
    font-weight: 700;
    margin: 0 0 1rem 0;
}

.contact-section form{
    width: 450px;
    display: block;
    margin: 2rem auto;
}

.contact-section input, textarea{
    width: 100%;
    padding: 7px 0 7px 7px ;
}

.contact-section img{
    width: 450px;
}

::placeholder{
    font-size: 18px;
}

input[type=button] {
  background-color: #ef233c;
  color: white;
  border: none;
}

/* CONTACT INFO SECTION */
.contact-info-section{
    display: flex;
    justify-content: space-between;
    text-align: left;
    margin: 2rem 12rem 1rem 12rem;
    padding: 20px ;
}

.contact-info-section h2{
    font-size: 2rem;
    margin: 7rem 0 12px 0;
}

.contact-info-section p{
    font-size: 18px;
}

.contact-info-section span{
    color: #ef233c;
}

.contact-info-section img{
    width: 350px;
}

/* FOOTER */
footer{
    margin: 1rem 0 0 0;
    padding: 1rem 6rem 1rem 2rem;
    background-color: #ef233c;
    color: #fff;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.pages a{
    text-decoration: none;
    color: #fff;
    font-size: 18px;
}

.social-icons a{
    text-decoration: none;
    color: #fff;
    font-size: 20px;
}

.social-icons, .pages{
    display: flex;
    gap: 1.4rem;
}

/* ! **********************************************************SHOP PAGE */
/*?  header */
.nav{
    display: flex;
    justify-content: space-between;
    padding: 13px 5rem  0 3rem;
    color: #ef233c ;
    background-color: #fff ;
}

.nav .navLinks{
    display: flex;
    gap: 30px;
    font-weight: 600;
    padding: 5px 0 0 0;
}

.nav .navLinks a{
    text-decoration: none;
    color: #ef233c ;
    font-weight: 600;
}

.nav #cart{
    color: #ef233c ;
    font-size: 20px;
}

/*? HERO SECTION */
.products-hero-section{
    display: flex;
    padding: 0 6rem 0 3rem;
    justify-content: space-between;
    align-items: center;
}

.products-hero-section span{
    color: #ef233c
}

.products-hero-section button{
    background-color: #ef233c;
    color: #fff;
    border: none;
    width: 150px;
    padding: 12px 20px;
    border-radius: 10px 0 10px 0;
    display: block;
    margin: 1.5rem 0 0 0;
    font-size: 15px;
}

.products-hero-section img{
    width: 500px;
}

.products-hero-section h1{
    font-size: 3rem;
    margin: 5px 0;
}

.products-hero-section h3{
    font-size: 1.6rem;
}

.products-hero-section a{
    text-decoration: none;
}

.ourproductsSection{
    margin: 0 2rem;
}

.ourproductsSection h1{
    text-align: center;
    font-size: 3rem;
    font-weight: 900;
}

/* ? CART SECTION */
.cart{
    color: #ef233c;
    background-color: #fff;
    font-size: 25px;
    padding: 5px 10px;
    border-radius: 4px;
    position: relative;
}

.cartAmount{
    position: absolute;
    top: 0px;
    right: 0px;
    font-size: 16px;
    background: #000;
    color: #fff;
    padding: 3px;
    border-radius: 3px;
}

/* ! SHOP ITEMS STYLING */
.shop{
    padding: 2.5rem 6rem 2.5rem 3rem;
    display: grid;
    grid-template-columns: repeat(4, 233px);
    gap: 30px;
    justify-content: center;
}

.productsSection span{
    color: #ef233c;
}

.productTitle{
    font-size: 3rem;
    text-align: center;
    margin: 2rem 0 0 0;
}

.item{
    border: 2px solid #000;
    border-radius: 5px;
}

.details{
    display: flex;
    flex-direction: column;
    padding: 10px;
    gap: 10px;
}

.price-quantity{
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center ;
}

.buttons{
    display: flex; 
    flex-direction: row;
    gap: 8px;
    font-size: 18px;
}

.bi-dash-lg{
    color: #ef233c;
}

.bi-plus-lg{
    color: green;
}
/**
* ! style rules for label and some buttons
**/

.text-center {
    text-align: center;
    margin-bottom: 20px;
}

.HomeBtn,
.checkout,
.removeAll {
    background-color: #212529;
    color: white;
    border: none;
    padding: 6px;
    border-radius: 3px;
    cursor: pointer;
    margin-top: 10px;
}

.checkout {
    background-color: green;
}
.removeAll {
    background-color: red;
}
.bi-x-lg {
    color: red;
    font-weight: bold;
}
  
/**
* ! style rules for shopping-cart
**/

.shopping-cart {
    display: grid;
    grid-template-columns: repeat(1, 320px);
    justify-content: center;
    gap: 15px;
}

/**
* ! style rules for cart-item
**/

.cart-item {
    border: 2px solid #212529;
    border-radius: 5px;
    display: flex;
    width: 400px;
}
.cart-item .details{
    width: 285px;
}
.title-price-x {
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: space-between;
    /* border: 2px solid red; */
}

.title-price {
    display: flex;
    align-items: center;
    gap: 10px;
}

.cart-item-price {
    background-color: #212529;
    color: white;
    border-radius: 4px;
    padding: 3px 6px;
}
/* ! MEDIA QUERY */
/* ? *******************SHOP PAGE */
@media (max-width: 1000px){
    .shop{
        grid-template-columns: repeat(2, 233px);
    }
}

@media (max-width: 500px){
    .shop{
        grid-template-columns: repeat(1, 233px);
    }
}